Apache2Triad Help, Support and Development Forum Index Search Profile Log in to check your private messages Log in Register Memberlist Attachments Statistics Crew/Ranks Archive
 ppm and ppm3 hosed
Google
Post new topic Reply to topic
Author Message
Slo
 
 


Joined: 22 Mar 2005
Posts: 42
Location: New Jersey USA

PostPosted: Sat Nov 26, 2005 3:24 am Reply with quoteBack to top

C:\>ppm
Failed to load PPM_DAT file
Can't use an undefined value as a SCALAR reference at C:/apache2triad/perl/site/
lib/PPM.pm line 1649, <DATA> line 40.

C:\>ppm3
Error: neither 'HKEY_LOCAL_MACHINE/SOFTWARE/ActiveState/PPM//InstallLocation' no
r 'HKEY_CURRENT_USER/SOFTWARE/ActiveState/PPM//InstallLocation' found in registr
y at C:\apache2triad\perl\bin/ppm3.bat line 27.

C:\>




HELP Smile

Quote:
:. From Slo .:
C:\>ppm
Failed to load PPM_DAT file
Can't use an undefined value as a SCALAR reference at C:/apache2triad/perl/site/
lib/PPM.pm line 1649, <DATA> line 40.


I how realize this is solved by adding the environment variable to windows... My Computer>Properties>Advanced>Environment Variables>New>

variable name:
Code:
PPM_DAT


variable value:
Code:
C:\apache2triad\perl\site\lib\ppm.xml




I am still stumped on the error for PPM3...

Well unfortunately I need ppm3 to work and I can't get to work Sad

I think this needs to be looked into because in 1.5.2 ppm3 worked...
View user's profileSend private messageMSN Messenger
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Thu Feb 09, 2006 6:08 pm Reply with quoteBack to top

adressed in 1.x.4
View user's profileSend private message
Slo
 
 


Joined: 22 Mar 2005
Posts: 42
Location: New Jersey USA

PostPosted: Sat Apr 08, 2006 4:59 am Reply with quoteBack to top

I have A2T 1.5.4 running and still could not use PPM3... I upgraded perl to 5.8.8 build ( 817 ) Via the MSI installer at ActiveState and ppm3 now works...

I don't know why I could not get it to work with perl 5.8.7 (813) ,but that is the same perl build that is in A2T 1.5.3,which I also could not get to work...

Any reason that perl wasn't changed in 1.5.4??? Should I look out for something???
View user's profileSend private messageMSN Messenger
mapg
 
 


Joined: 22 Oct 2003
Posts: 12

PostPosted: Mon Oct 30, 2006 4:22 am Reply with quoteBack to top

Hi Vlad,

I have the same issue and cannot use PPM on 1.5.4 since its release.

i.e: I cannot install Cpan LWP because PPM is really unfit, so I get a crash of Perl when try to get content from an external resource.

Vlad, can you fix it in your next version on Apache2Triad, and of course, do not forget to upgrade to Perl 5.8.8??

I do mention of last point because we saw old versions on Perl in previous Apache2Triad.

By the way, I hope you do not take the same action this time, above all, because seems that you will release "one version of Apache2Triad per year" as things are going now.

If you do not accept the same way of PHPNuke to get money, things will end even worse in the next future. I prognosticate you this situation of inattention, and I see that I wasn't wrong. I guess that next step will be to release a new Apache2Triad every two years or so.

You collected a giant army of bloodsuckers but I think that you are happy with this. I do not know in what kind of war you will fight with them, maybe in one about to find the best place for a tomb. Laughing

Best Regards and good luck.

Mapg
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Tue Oct 31, 2006 10:05 am Reply with quoteBack to top

yes , i know ppm does not work good in the last releases , it is in the todo list
View user's profileSend private message
Display posts from previous:      
Post new topic Reply to topic


 Jump to:   



View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum
Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme
All times are GMT